Subject: bug#19810: C++ library fails to compile/link with Sun C++ 5.12 with libtool 2.4.5

From: "Gary V. Vaughan" <[email-masked]>
Date: Sun, 8 Feb 2015 10:16:40 +0000

Hi Bob,

On Feb 7, 2015, at 10:33 PM, Bob Friesenhahn <[email-masked]> wrote:
> 
> While attending to libtiff, I noticed that its small C++ library component fails to link using Sun C++ 5.12 when using libtool 2.4.5. It succeeds to link with libtool 2.4.4.  Other tools used (in common) are autoconf 2.69 and automake 1.15.  No special CXXFLAGS were specified.
> 
> Doing a diff of the successful and failing output, I see that libraries which appeared before on the link line are now missing.
> 
> Good:
> 
>  libtool: link: ... -lm -library=Cstd -library=Crun -lc   -O
> 
> Bad:
> 
>  libtool: link: ... -lm -lc   -O
> 
> I assume that the problem was added on 2014-12-12 by this change:
> 
>        libtool: more carefully avoid automatic -Cstd -Crun on Sun Pro CXX.
>        * m4/libtool.m4 (_LT_FUNC_SUNCC_CSTD_ABI): New function factored out
>        of repeated code.  Take note of other known -Cstd incompatible
>        compiler flags.
>        (_LT_SYS_HIDDEN_LIBDEPS): Use it to determine whether -Cstd -Crun
>        can be safely added to postdeps with Sun Pro CXX.
>        * NEWS: Update.
>        * NO-THANKS: Add Marc Glisse.
>        Reported by Marc Glisse
> 
> Bob

I plan to roll a release today or tomorrow, so please commit a fix or revert changeset before then if you'd like to fix this bug before then!

Cheers,
Gary